﻿--[[---------------------------------------------------------------------------

Copyright (c) 2008, 2009 by K. Scott Piel 
All Rights Reserved

E-mail: < kscottpiel@gmail.com >
Web:    < http://www.scottpiel.com >

This file is part of nUI.

    nUI is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    nUI is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with nUI.  If not, see <http://www.gnu.org/licenses/>.
	
THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS 
"AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT 
LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR 
A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT 
OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, 
SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT 
LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, 
DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY 
THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT 
(INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE 
USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

--]]---------------------------------------------------------------------------

if not nUI_Options then nUI_Options = {}; end


local function onSplashEvent()

	if event == "ADDON_LOADED" then
	
		if nUI_UnitPanels[nUI_UNITPANEL_RAID40] then
			nUI_Package = "Pro";
		else
			nUI_Package = "Lite";
		end
		
	elseif event == "PLAYER_ENTERING_WORLD" then

		if nUI_Package ~= "Pro" then
		
			DEFAULT_CHAT_FRAME:AddMessage( "nUI: "..nUI_L["splash title"], 1, 0.83, 0 );
				
			if nUI_Options.show_splash then
				nUI_Options.show_splash = false;
				nUI_Splash_Title:SetText( nUI_L["splash title"] );
				nUI_Splash_Message:SetText( nUI_L["splash lite"] );
			else
				nUI_SplashFrame:Hide();
			end
			
		else
			nUI_SplashFrame:Hide();
		end

		DEFAULT_CHAT_FRAME:AddMessage( "nUI: "..nUI_L["splash info"], 0, 1.0, 0.50 );
		
		nUI_SplashFrame:UnregisterEvent( "PLAYER_ENTERING_WORLD" );
	end	
		
end

nUI_SplashFrame:SetScript( "OnEvent", onSplashEvent );
nUI_SplashFrame:RegisterEvent( "ADDON_LOADED" );
nUI_SplashFrame:RegisterEvent( "PLAYER_ENTERING_WORLD" );
